#!/usr/bin/bash
# Call Audio Routing for PinePhone

# Listen for calls...
interface=org.freedesktop.ModemManager1.Call
member=StateChanged

dbus-monitor --system "type='signal', interface='$interface', member='$member'" |
while read -r line; do
	# echo "$line"
	[[ "$line" =~ "$member" ]]; ret=$?
	if [ $ret -eq 0 ]; then
		# Get the 3 properties of call status
		read line1a line1b; read line2a line2b; read line3a line3b
		# echo "$line1a $line1b | $line2a $line2b | $line3a $line3b"
		# 2,4 is outgoing voice call connected
		# 3,4 is inconming voice call connected
		# 4,7 is voice call hung up
		if [ $line1b -eq 3 -a $line2b -eq 4 ] || [ $line1b -eq 2 -a $line2b -eq 4 ]; then
			/usr/bin/pineaudio -smhle2 # Enable all digital paths to modem.
		elif [ $line1b -eq 4 -a $line2b -eq 7 ]; then
			/usr/bin/pineaudio -smhle # Disable all digital paths to modem.
		fi
	fi
done
